@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: $primary;
    background-color: #FAF8F9;
    font-family: $font-family-primary;
    font-size: rem(14);
    line-height: rem(17);

    @include media-breakpoint-up(md) {
        font-size: rem(15);
        line-height: rem(18);
    }
}


.container {
    margin: 0 auto;
    max-width: rem(1212);
    padding: 0 rem(24);
}

// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 600;
    line-height: 1.2;
    font-family: $font-family-secondary;
}

h1, .h1 {
    font-size: rem(22);
    line-height: rem(27);
    margin-bottom: rem(10);

    @include media-breakpoint-up(md) {
        font-size: rem(42);
        line-height: rem(51);
        margin-bottom: rem(30);
    }
}

h2, .h2 {
    font-size: rem(22);
    line-height: rem(27);
    margin-bottom: rem(15);

    @include media-breakpoint-up(md) {
        font-size: rem(35);
        line-height: rem(43);
        margin-bottom: rem(25);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
    }
}

h3, .h3 {
    font-size: rem(20);
    line-height: rem(24);
    margin-bottom: rem(15);

    @include media-breakpoint-up(md) {
        font-size: rem(25);
        line-height: rem(30);
        margin-bottom: rem(25);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
    }
}

h4, .h4 {
    font-weight: 600;
    font-size: rem(18);
    line-height: rem(22);
    margin-bottom: rem(15);

    @include media-breakpoint-up(md) {
        font-size: rem(20);
        line-height: rem(24);
        margin-bottom: rem(25);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
    }
}

h5, .h5 {
    font-size: rem(15);
    line-height: rem(18);
    margin-bottom: rem(15);

    @include media-breakpoint-up(md) {
        font-size: rem(17);
        line-height: rem(21);
        margin-bottom: rem(25);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
    }
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: $violet;
    text-decoration: none;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: rem(12);

    &:last-child {
        margin-bottom: 0;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(14);

        &:last-child {
            margin-bottom: 0;
        }
    }
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


